void setup()
{
  // need fast serial rate to keep up with 1 byte data every 250 us
  // (not needed)
  Serial.begin(9600);
}
 
void loop()
{
  for (int x=0; x < 1024 ; x++){ //Burst of 0-1023
  static uint16_t analogVal;
  static uint32_t nextReadTime;
  static uint32_t nowTime;
    
  // start by calculating time that next read will take place
  nextReadTime = micros() + 250;
  
  // read analog value
  analogVal = analogRead(0);  

  // send analog value (as single byte)
  Serial.println(analogVal,DEC);
  
  // wait for right amount of time to do next read
  nowTime = micros();
  if(nowTime < nextReadTime)
    delayMicroseconds(nextReadTime - nowTime);
  }
  delay(1000); //Wait 1 second)
}
